import 'dotenv/config';
import { createLog } from './log';
import type { Logger } from 'winston';
import { DB } from './db';

async function fixDates () {
	const log : Logger = createLog('fixDates');
	const db : DB = new DB();
	let rows : any[];
	let parts : string[];
	let d : Date;

	try {
		rows = await db.getAll();
	} catch (err) {
		log.error(err);
	}
	for (let row of rows) {
		parts = row.name.split('_')
		d = new Date(parseInt(parts[0]), parseInt(parts[1])-1, parseInt(parts[2]));
		row.created = + d;
		try {
			await db.update(row, ['created']);
			log.info(`Updated row ${row.id}: created == ${row.created}`);
		} catch (err) {
			log.error('Error updating row', err);
		}
	}
}

fixDates();